## Name

vfs_readahead — pre-load the kernel buffer cache

## Synopsis

`vfs objects = readahead`

## DESCRIPTION

This VFS module is part of the samba(7) suite.

This `vfs_readahead` VFS module detects read requests at multiples of a given offset (hex 0x80000 by default) and then tells the kernel via either the readahead system call (on Linux) or the posix_fadvise system call to pre-fetch this data into the buffer cache.

This module is useful for Windows Vista clients reading data using the Windows Explorer program, which asynchronously does multiple file read requests at offset boundaries of 0x80000 bytes.

The offset multiple used is given by the readahead:offset option, which defaults to 0x80000.

The size of the disk read operations performed by `vfs_readahead` is determined by the readahead:length option. By default this is set to the same value as the readahead:offset option and if not set explicitly will use the current value of readahead:offset.

This module is stackable.

## OPTIONS

The following suffixes may be applied to BYTES:

- `K` - BYTES is a number of kilobytes

- `M` - BYTES is a number of megabytes

- `G` - BYTES is a number of gigabytes

readahead:offset = BYTES

  The offset multiple that causes readahead to be requested of the kernel buffer cache.

readahead:length = BYTES

  The number of bytes requested to be read into the kernel buffer cache on each readahead call.

## EXAMPLES

    	[hypothetical]
    	vfs objects = readahead

## VERSION

This man page is correct for version 3.0.25 of the Samba suite.

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.